Summary:  Another Main Loop
Name:     aml
Version:  0.3.0
Release:  1%{?dist}
License:  ISC and BSD
URL:      https://github.com/any1/aml
Source:   %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires: gcc, meson



%description
Event loop handler developed for wayvnc (Wayland VNC server) and
wlvncc (Wayland VNC client) - see https://github.com/any1
.
Goals:
 * Portability
 * Utility
 * Simplicity
.
Non-goals:
 * MS Windows (TM) support
 * Solving the C10K problem
.
Features:
 * File descriptor event handlers
 * Timers
 * Tickers
 * Signal handlers
 * Idle dispatch callbacks
 * Thread pool
 * Interoperability with other event loops

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
This package contains header files for %{name}.



%prep
%autosetup



%build
%meson
%meson_build



%install
%meson_install



%files
%license COPYING
%doc README.md
%{_libdir}/lib%{name}.so.0*



%files devel
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}.h



%changelog
* Fri Nov 17 2023 Zhao Zhen <jeremiazhao@tencent.com> - 0.3.0-1
- initial